// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S044_LegislationAuthorities.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S044_LegislationAuthorities extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1, 1
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\1"+
    "\1\0\1\4\3\0\1\5\1\0\2\6\2\0\2\6"+
    "\1\7\1\10\12\11\1\12\1\13\5\0\1\14\1\15"+
    "\1\16\1\17\1\20\1\21\1\22\1\23\1\24\1\23"+
    "\1\25\1\26\1\27\1\30\1\31\1\32\1\23\1\33"+
    "\1\34\1\35\1\36\1\37\1\40\3\23\1\41\1\0"+
    "\1\42\1\0\1\43\1\0\1\44\1\45\1\46\1\47"+
    "\1\50\1\51\1\52\1\53\1\54\1\53\1\55\1\56"+
    "\1\57\1\60\1\61\1\62\1\53\1\63\1\64\1\65"+
    "\1\66\1\67\1\70\3\53\105\0\6\53\1\0\11\53"+
    "\1\0\6\53\2\0\4\53\3\0\6\53\1\0\11\53"+
    "\1\0\6\53\2\0\4\53\53\0\2\53\6\0\2\71"+
    "\66\0\2\53\4\0\2\53\17\0\1\72\u0188\0\2\53"+
    "\216\0\2\53\42\0\2\53\104\0\1\1\20\0\2\6"+
    "\u0115\0\1\73\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\2\0\4\1\2\2\44\0\3\3\10\0\2\4\7\0"+
    "\3\5\7\0\1\6\121\0\3\7\10\0\3\10\17\0"+
    "\5\11\1\0\1\11\27\0\3\12\1\0\1\12\27\0"+
    "\3\13\32\0\5\14\3\0\2\14\10\0\3\15\2\0"+
    "\2\15\3\0\1\16\56\0\2\14\44\0\2\15\1\0"+
    "\1\15\277\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[580];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\74\0\170\0\264\0\360\0\u012c\0\360\0\u0168"+
    "\0\u01a4\0\u01e0\0\u021c\0\u0258\0\170\0\u0294\0\u02d0\0\u030c"+
    "\0\u0348\0\u0384\0\u03c0\0\u03fc\0\u0438\0\u0474\0\u04b0\0\u04ec"+
    "\0\u0528\0\u0564\0\u05a0\0\u05dc\0\u0618\0\u0654\0\u0690\0\u06cc"+
    "\0\u0708\0\u0744\0\u0780\0\u07bc\0\u07f8\0\u0834\0\u0870\0\u08ac"+
    "\0\u08e8\0\u0924\0\u0960\0\u099c\0\360\0\u09d8\0\u0a14\0\u0a50"+
    "\0\u0a8c\0\u0ac8\0\u0b04\0\u0b40\0\u0b7c\0\u0bb8\0\u0bf4\0\360"+
    "\0\u0c30\0\u0c6c\0\u0ca8\0\u0ce4\0\u0d20\0\u0d5c\0\u0d98\0\u0dd4"+
    "\0\360\0\u0e10\0\u0e4c\0\u0e88\0\u0ec4\0\u0f00\0\u0f3c\0\u0f78"+
    "\0\u0fb4\0\u0ff0\0\360\0\u102c\0\u1068\0\u10a4\0\u10e0\0\u111c"+
    "\0\u1158\0\u1194\0\u11d0\0\u120c\0\u1248\0\u1284\0\u12c0\0\u12fc"+
    "\0\u1338\0\u1374\0\u13b0\0\u13ec\0\u1428\0\u1464\0\u14a0\0\u14dc"+
    "\0\u1518\0\u1554\0\u1590\0\u15cc\0\u1608\0\u1644\0\u1680\0\u16bc"+
    "\0\u16f8\0\u1734\0\u1770\0\u17ac\0\u17e8\0\u1824\0\u1860\0\u189c"+
    "\0\u18d8\0\u1914\0\u1950\0\u198c\0\u19c8\0\u1a04\0\u1a40\0\u1a7c"+
    "\0\u1ab8\0\u1af4\0\u1b30\0\u1b6c\0\u1ba8\0\u1be4\0\u1c20\0\u1c5c"+
    "\0\u1c98\0\u1cd4\0\u1d10\0\u1d4c\0\u1d88\0\u1dc4\0\u1e00\0\u1e3c"+
    "\0\u1e78\0\u1eb4\0\u0a14\0\u1ef0\0\u1f2c\0\u1f68\0\u1fa4\0\u1fe0"+
    "\0\u201c\0\u2058\0\u2094\0\u20d0\0\u210c\0\u2148\0\u2184\0\u21c0"+
    "\0\u21fc\0\u2238\0\u2274\0\u22b0\0\360\0\u22ec\0\u1af4\0\u2328"+
    "\0\u2364\0\u23a0\0\u23dc\0\u2418\0\u2454\0\u2490\0\u24cc\0\360"+
    "\0\u2508\0\u1d10\0\u2544\0\u2580\0\u25bc\0\u25f8\0\u2634\0\u2670"+
    "\0\u26ac\0\u26e8\0\u2724\0\u0e4c\0\u2760\0\u279c\0\u27d8\0\u2814"+
    "\0\u2850\0\360\0\u288c\0\u28c8\0\u2904\0\u201c\0\u2940\0\u297c"+
    "\0\u29b8\0\u29f4\0\u2a30\0\u2a6c\0\u2aa8\0\u2ae4\0\u2b20\0\u2b5c"+
    "\0\u2b98\0\u2bd4\0\u2c10\0\u2c4c\0\u2c88\0\u2cc4\0\u2d00\0\u2d3c"+
    "\0\u2d78\0\u2db4\0\u2df0\0\u2e2c\0\u2e68\0\u2ea4\0\u2ee0\0\360"+
    "\0\u2f1c\0\u2f58\0\u2f94\0\u2f94\0\u2fd0\0\u300c\0\u3048\0\u3084"+
    "\0\u30c0\0\u30fc\0\u3138\0\u3174\0\u31b0\0\u31ec\0\u288c\0\u2904"+
    "\0\u297c\0\u3228\0\u3264\0\u32a0\0\u32dc\0\u3318\0\u3354\0\u3390"+
    "\0\u33cc\0\u3408\0\u3444\0\360\0\u3480\0\u34bc\0\u34f8\0\u3534"+
    "\0\u3570\0\u35ac\0\u35e8\0\u3624\0\u3660\0\u369c\0\u36d8\0\u3714"+
    "\0\u3750\0\u378c\0\u37c8\0\u3804\0\u3840\0\u387c\0\u38b8\0\u38f4"+
    "\0\u3930\0\u396c\0\u39a8\0\u39e4\0\u3a20\0\u3a5c\0\u3a98\0\u3ad4"+
    "\0\360\0\u3b10\0\u3b4c\0\u3b88\0\u3bc4\0\u3c00\0\u3c3c\0\u3c78"+
    "\0\u3cb4\0\u3c3c\0\u3cf0\0\u3d2c\0\u3d68\0\u3da4\0\u3de0\0\u3e1c"+
    "\0\u3e58\0\u3e94\0\360\0\u3ed0\0\u3f0c\0\u3f48\0\u3f84\0\u3fc0"+
    "\0\u3f48\0\u3ffc\0\u4038\0\u4074\0\360\0\u40b0\0\u40ec\0\u4128"+
    "\0\u4164\0\u41a0\0\u41dc\0\u4218\0\u4254\0\u4290\0\u42cc\0\u4308"+
    "\0\u4344\0\u4380\0\u43bc\0\u43f8\0\u3b10\0\u3b88\0\u3cb4\0\u4434"+
    "\0\u4470\0\u44ac\0\u44e8\0\u4524\0\u4560\0\u459c\0\u45d8\0\u4614"+
    "\0\u4650\0\u468c\0\u46c8\0\u4704\0\u4740\0\u477c\0\u47b8\0\u47f4"+
    "\0\u4830\0\u486c\0\u48a8\0\u48e4\0\u4920\0\u495c\0\u4998\0\u49d4"+
    "\0\u4a10\0\u4a4c\0\u4a88\0\u4ac4\0\u44e8\0\u4b00\0\u4b3c\0\u4b78"+
    "\0\u4bb4\0\u4bf0\0\u4c2c\0\u4c68\0\u4ca4\0\u4ce0\0\u4d1c\0\u4d58"+
    "\0\u4d94\0\u4dd0\0\u4e0c\0\u4e48\0\u4e84\0\u4ec0\0\u4efc\0\u4f38"+
    "\0\u2f58\0\u4f74\0\u4fb0\0\u4fec\0\u5028\0\u5064\0\u50a0\0\u50dc"+
    "\0\u5118\0\u5154\0\u5190\0\u51cc\0\u5208\0\u5244\0\u5280\0\u52bc"+
    "\0\u52f8\0\u5334\0\u5370\0\u53ac\0\u53ac\0\u53e8\0\u5424\0\u5460"+
    "\0\u549c\0\u54d8\0\u5514\0\u5550\0\u558c\0\u55c8\0\u5604\0\u5640"+
    "\0\u3bc4\0\u567c\0\u56b8\0\u56f4\0\u5730\0\u576c\0\u57a8\0\u57e4"+
    "\0\u3ed0\0\u5820\0\u585c\0\u5898\0\u58d4\0\u5910\0\u594c\0\u5988"+
    "\0\u59c4\0\u5a00\0\u5a3c\0\u5a78\0\u5ab4\0\u5af0\0\u5b2c\0\u5b68"+
    "\0\u5ba4\0\u5be0\0\u34bc\0\u5c1c\0\u5c58\0\u5c94\0\u5cd0\0\u5d0c"+
    "\0\u5d48\0\u5d84\0\u5dc0\0\u5dfc\0\u5e38\0\u5e74\0\u5eb0\0\u5eec"+
    "\0\u5f28\0\u5f64\0\u5fa0\0\u5fdc\0\u6018\0\u6054\0\u6090\0\u60cc"+
    "\0\u6108\0\u6144\0\u6180\0\u61bc\0\u61f8\0\u6234\0\u5370\0\u6270"+
    "\0\u62ac\0\u62e8\0\u6324\0\u6360\0\u639c\0\u63d8\0\u6414\0\u6450"+
    "\0\u648c\0\u64c8\0\u6504\0\u6540\0\u657c\0\u65b8\0\u65f4\0\u6630"+
    "\0\u666c\0\u66a8\0\u66e4\0\u6720\0\u675c\0\u6798\0\u67d4\0\u6810"+
    "\0\u684c\0\u6888\0\u68c4\0\u6900\0\u693c\0\u6978\0\u69b4\0\u69f0"+
    "\0\u6a2c\0\u6a68\0\u6aa4\0\u6ae0\0\u6b1c\0\u6b58\0\u6b94\0\u6bd0"+
    "\0\u6c0c\0\u6c48\0\u6c84\0\u6cc0\0\u6cfc\0\u6d38\0\u6d74\0\u6db0"+
    "\0\u6dec\0\u6e28\0\u6e64\0\u6ea0\0\u6edc\0\u6f18\0\u6f54\0\u6f90"+
    "\0\u6fcc\0\u7008\0\u7044\0\u7080\0\u70bc\0\u70f8\0\u7134\0\u7170"+
    "\0\u71ac\0\u71e8\0\u7224\0\u7260\0\u729c\0\u72d8\0\u7314\0\u7350"+
    "\0\u738c\0\u73c8\0\u7404\0\u7440\0\u747c\0\u74b8\0\u74f4\0\u7530"+
    "\0\u756c\0\u75a8\0\u75e4\0\u7620\0\u765c\0\u7698\0\u76d4\0\u7710"+
    "\0\u774c\0\u7788\0\u77c4\0\u7800\0\u783c\0\u7878\0\u78b4\0\u78f0"+
    "\0\u792c\0\u7968\0\u79a4\0\u79e0\0\u7a1c\0\u7a58\0\u7a94\0\u7ad0"+
    "\0\u7b0c\0\u7b48\0\u7b84\0\u7bc0\0\u7bfc\0\u7c38\0\u7c74\0\u7cb0"+
    "\0\u7cec\0\u7d28\0\u7d64\0\u7da0\0\u7ddc\0\u7e18\0\u7e54\0\u7e90"+
    "\0\u7ecc\0\u7f08\0\u7f44\0\u7f80";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[580];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\3\1\4\5\3\1\5\2\3\25\5\1\6\2\3"+
    "\25\5\3\3\41\7\1\10\32\7\15\0\1\11\1\12"+
    "\13\0\1\13\12\0\1\14\1\12\13\0\1\13\13\0"+
    "\1\15\12\0\1\11\1\12\13\0\1\13\12\0\1\14"+
    "\1\12\13\0\1\13\122\0\1\11\1\12\7\0\1\16"+
    "\3\0\1\13\12\0\1\14\1\12\7\0\1\16\3\0"+
    "\1\13\21\0\1\17\72\0\1\20\4\0\1\21\1\0"+
    "\1\22\25\0\1\21\30\0\3\23\1\0\1\24\1\0"+
    "\1\23\4\0\1\25\5\0\1\26\6\0\1\27\1\30"+
    "\1\0\1\31\4\0\1\32\2\0\1\25\5\0\1\26"+
    "\6\0\1\27\1\30\1\0\1\31\5\0\1\31\15\0"+
    "\1\33\16\0\1\34\10\0\1\33\16\0\1\34\24\0"+
    "\1\21\27\0\1\21\54\0\1\35\27\0\1\35\15\0"+
    "\1\35\26\0\1\36\27\0\1\36\33\0\1\37\105\0"+
    "\1\40\27\0\1\40\33\0\1\41\54\0\3\23\1\0"+
    "\1\24\14\0\1\26\7\0\1\30\1\0\1\31\4\0"+
    "\1\32\10\0\1\26\7\0\1\30\1\0\1\31\5\0"+
    "\1\31\31\0\1\42\27\0\1\42\45\0\1\43\27\0"+
    "\1\43\42\0\1\44\27\0\1\44\41\0\1\45\1\46"+
    "\26\0\1\45\1\46\14\0\3\47\1\0\1\50\1\0"+
    "\1\47\12\0\1\51\10\0\1\52\1\53\4\0\1\54"+
    "\10\0\1\51\10\0\1\52\1\53\5\0\1\53\1\0"+
    "\3\55\1\56\3\55\1\57\1\55\1\0\2\55\21\0"+
    "\1\60\3\0\3\55\21\0\1\60\3\0\3\55\26\0"+
    "\1\61\27\0\1\61\50\0\1\62\27\0\1\62\30\0"+
    "\1\63\27\0\1\63\53\0\1\64\27\0\1\64\40\0"+
    "\1\65\27\0\1\65\15\0\1\65\7\0\1\66\102\0"+
    "\1\67\27\0\1\67\25\0\3\70\1\71\5\70\1\0"+
    "\2\70\25\0\3\70\25\0\3\70\15\0\1\72\27\0"+
    "\1\72\57\0\1\23\27\0\1\23\51\0\1\73\27\0"+
    "\1\73\33\0\1\74\27\0\1\74\50\0\1\75\27\0"+
    "\1\75\5\0\1\75\2\0\3\47\1\0\1\50\14\0"+
    "\1\51\11\0\1\53\4\0\1\54\10\0\1\51\11\0"+
    "\1\53\5\0\1\53\31\0\1\76\27\0\1\76\44\0"+
    "\1\77\27\0\1\77\43\0\1\100\27\0\1\100\12\0"+
    "\3\101\1\102\3\101\1\103\1\101\1\0\2\101\21\0"+
    "\1\104\3\0\3\101\21\0\1\104\3\0\3\101\26\0"+
    "\1\105\27\0\1\105\17\0\1\55\71\0\3\55\1\56"+
    "\5\55\1\0\2\55\25\0\3\55\25\0\3\55\14\0"+
    "\1\106\27\0\1\106\54\0\1\107\27\0\1\107\15\0"+
    "\1\107\26\0\1\110\27\0\1\110\51\0\1\111\27\0"+
    "\1\111\5\0\1\111\13\0\1\112\111\0\1\113\27\0"+
    "\1\113\33\0\1\114\67\0\1\115\27\0\1\115\31\0"+
    "\1\70\125\0\1\116\27\0\1\116\5\0\1\116\1\0"+
    "\3\55\1\56\3\55\1\57\1\55\1\0\2\55\4\0"+
    "\1\117\20\0\3\55\4\0\1\117\20\0\3\55\1\0"+
    "\3\120\1\0\1\121\2\120\10\0\1\122\3\0\1\123"+
    "\11\0\1\124\2\0\1\125\1\0\1\120\4\0\1\122"+
    "\3\0\1\123\11\0\1\124\2\0\1\123\3\0\3\126"+
    "\1\0\1\127\1\130\1\126\10\0\1\131\3\0\1\132"+
    "\2\0\1\133\6\0\1\134\2\0\1\135\1\0\1\130"+
    "\4\0\1\131\3\0\1\132\2\0\1\133\6\0\1\134"+
    "\2\0\1\132\17\0\1\136\27\0\1\136\65\0\1\137"+
    "\27\0\1\137\43\0\1\140\27\0\1\140\6\0\1\101"+
    "\71\0\3\101\1\102\5\101\1\0\2\101\25\0\3\101"+
    "\25\0\3\101\14\0\1\141\27\0\1\141\54\0\1\142"+
    "\27\0\1\142\15\0\1\142\35\0\1\143\27\0\1\143"+
    "\36\0\1\144\27\0\1\144\14\0\3\145\1\0\1\146"+
    "\2\145\4\0\1\147\1\0\1\150\1\0\1\151\15\0"+
    "\1\152\2\0\1\153\1\0\1\145\1\147\1\0\1\150"+
    "\1\0\1\151\15\0\1\152\6\0\3\154\1\0\1\155"+
    "\1\0\1\154\6\0\1\156\5\0\1\157\6\0\1\160"+
    "\5\0\1\161\4\0\1\156\5\0\1\157\6\0\1\160"+
    "\5\0\1\157\16\0\25\162\2\0\1\162\37\0\1\41"+
    "\65\0\3\163\1\0\1\164\120\0\1\165\27\0\1\165"+
    "\44\0\1\166\27\0\1\166\11\0\3\120\1\0\1\121"+
    "\1\120\11\0\1\122\15\0\1\124\2\0\1\125\1\0"+
    "\1\120\4\0\1\122\15\0\1\124\35\0\1\167\27\0"+
    "\1\167\51\0\1\170\27\0\1\170\41\0\1\171\27\0"+
    "\1\171\5\0\1\171\21\0\1\172\7\0\1\173\17\0"+
    "\1\172\7\0\1\173\41\0\1\174\27\0\1\174\16\0"+
    "\3\126\1\0\1\127\1\130\11\0\1\131\6\0\1\133"+
    "\6\0\1\134\2\0\1\135\1\0\1\130\4\0\1\131"+
    "\6\0\1\133\6\0\1\134\35\0\1\175\27\0\1\175"+
    "\14\0\3\130\1\0\1\176\1\130\11\0\1\131\15\0"+
    "\1\134\2\0\1\177\1\0\1\130\4\0\1\131\15\0"+
    "\1\134\43\0\1\200\27\0\1\200\27\0\1\201\27\0"+
    "\1\201\45\0\1\202\27\0\1\202\14\0\1\202\22\0"+
    "\1\203\7\0\1\204\17\0\1\203\7\0\1\204\41\0"+
    "\1\205\27\0\1\205\51\0\1\206\27\0\1\206\5\0"+
    "\1\206\1\0\3\101\1\102\3\101\1\103\1\101\1\0"+
    "\2\101\4\0\1\207\20\0\3\101\4\0\1\207\20\0"+
    "\3\101\1\0\3\47\1\0\1\50\1\0\1\47\12\0"+
    "\1\51\11\0\1\53\2\0\1\210\1\0\1\54\10\0"+
    "\1\51\11\0\1\53\2\0\1\210\2\0\1\53\36\0"+
    "\1\211\27\0\1\211\36\0\1\212\27\0\1\212\44\0"+
    "\1\213\27\0\1\213\24\0\1\214\62\0\3\145\1\0"+
    "\1\146\1\145\7\0\1\150\1\0\1\151\15\0\1\152"+
    "\2\0\1\153\1\0\1\145\2\0\1\150\1\0\1\151"+
    "\15\0\1\152\35\0\1\215\27\0\1\215\42\0\1\216"+
    "\27\0\1\216\45\0\1\217\27\0\1\217\50\0\1\220"+
    "\27\0\1\220\25\0\1\221\7\0\1\222\17\0\1\221"+
    "\7\0\1\222\41\0\1\223\27\0\1\223\16\0\3\154"+
    "\1\0\1\155\10\0\1\156\14\0\1\160\5\0\1\161"+
    "\4\0\1\156\14\0\1\160\40\0\1\224\27\0\1\224"+
    "\44\0\1\225\27\0\1\225\31\0\1\226\27\0\1\226"+
    "\44\0\1\227\27\0\1\227\51\0\1\230\27\0\1\230"+
    "\27\0\1\231\1\0\25\162\2\0\1\162\31\0\3\163"+
    "\1\0\1\164\10\0\1\232\27\0\1\232\55\0\1\233"+
    "\27\0\1\233\26\0\1\23\110\0\1\143\27\0\1\143"+
    "\30\0\1\234\27\0\1\234\26\0\3\235\1\236\3\235"+
    "\1\237\1\235\1\0\2\235\17\0\1\240\5\0\3\235"+
    "\17\0\1\240\5\0\3\235\34\0\1\241\27\0\1\241"+
    "\5\0\1\241\1\0\3\235\1\236\5\235\1\0\2\235"+
    "\25\0\3\235\25\0\3\235\7\0\1\242\14\0\1\243"+
    "\27\0\1\243\14\0\1\243\27\0\1\244\27\0\1\244"+
    "\15\0\1\244\15\0\1\245\27\0\1\245\56\0\1\246"+
    "\27\0\1\246\41\0\1\247\27\0\1\247\15\0\3\250"+
    "\1\251\3\250\1\252\1\250\1\0\2\250\17\0\1\253"+
    "\5\0\3\250\17\0\1\253\5\0\3\250\26\0\1\254"+
    "\27\0\1\254\45\0\1\255\27\0\1\255\13\0\3\250"+
    "\1\251\5\250\1\0\2\250\25\0\3\250\25\0\3\250"+
    "\7\0\1\256\14\0\1\257\27\0\1\257\14\0\1\257"+
    "\27\0\1\260\27\0\1\260\15\0\1\260\32\0\1\261"+
    "\27\0\1\261\44\0\1\262\27\0\1\262\11\0\3\47"+
    "\1\0\1\50\1\0\1\47\12\0\1\51\1\0\1\263"+
    "\7\0\1\53\4\0\1\54\10\0\1\51\1\0\1\263"+
    "\7\0\1\53\4\0\1\263\1\53\32\0\1\264\27\0"+
    "\1\264\24\0\1\265\115\0\1\266\27\0\1\266\5\0"+
    "\1\266\16\0\1\267\27\0\1\267\46\0\1\270\27\0"+
    "\1\270\53\0\1\271\27\0\1\271\13\0\1\272\2\273"+
    "\1\274\1\272\1\275\1\273\1\276\1\272\1\0\2\272"+
    "\2\0\1\150\14\0\1\277\5\0\1\300\1\272\1\273"+
    "\2\0\1\150\14\0\1\277\5\0\4\272\2\273\1\274"+
    "\1\272\1\275\1\273\2\272\1\0\2\272\2\0\1\150"+
    "\22\0\1\300\1\272\1\273\2\0\1\150\22\0\3\272"+
    "\7\0\1\301\14\0\1\302\27\0\1\302\14\0\1\302"+
    "\27\0\1\303\27\0\1\303\15\0\1\303\15\0\1\304"+
    "\27\0\1\304\56\0\1\305\27\0\1\305\33\0\1\306"+
    "\27\0\1\306\55\0\1\307\27\0\1\307\36\0\1\310"+
    "\27\0\1\310\15\0\1\310\2\231\3\0\5\231\1\311"+
    "\26\231\2\0\31\231\20\0\1\312\27\0\1\312\40\0"+
    "\1\313\27\0\1\313\62\0\1\314\27\0\1\314\5\0"+
    "\1\314\3\0\1\235\100\0\1\172\21\0\1\315\27\0"+
    "\1\315\36\0\1\316\27\0\1\316\14\0\1\316\3\0"+
    "\3\242\1\0\1\317\12\0\1\320\27\0\1\320\54\0"+
    "\1\321\27\0\1\321\42\0\1\322\27\0\1\322\47\0"+
    "\1\323\27\0\1\323\5\0\1\323\16\0\1\324\27\0"+
    "\1\324\53\0\1\325\27\0\1\325\15\0\1\325\2\0"+
    "\1\250\100\0\1\203\21\0\1\326\27\0\1\326\36\0"+
    "\1\327\27\0\1\327\14\0\1\327\2\0\3\330\1\331"+
    "\3\330\1\332\1\330\1\0\2\330\10\0\1\333\14\0"+
    "\3\330\10\0\1\333\14\0\1\334\2\330\1\0\3\256"+
    "\1\0\1\335\12\0\1\336\27\0\1\336\54\0\1\337"+
    "\27\0\1\337\42\0\1\340\27\0\1\340\26\0\1\47"+
    "\110\0\1\211\27\0\1\211\47\0\1\341\27\0\1\341"+
    "\5\0\1\341\35\0\1\342\27\0\1\342\5\0\1\342"+
    "\36\0\1\343\27\0\1\343\42\0\1\344\27\0\1\344"+
    "\5\0\1\344\31\0\1\345\27\0\1\345\47\0\1\346"+
    "\27\0\1\346\5\0\1\346\2\0\3\347\1\0\1\350"+
    "\1\347\7\0\1\150\22\0\1\351\1\0\1\347\2\0"+
    "\1\150\26\0\1\347\1\273\1\347\1\0\1\350\1\347"+
    "\7\0\1\150\22\0\1\351\1\0\1\347\2\0\1\150"+
    "\55\0\1\352\27\0\1\352\22\0\1\221\21\0\1\353"+
    "\27\0\1\353\40\0\1\354\27\0\1\354\16\0\3\301"+
    "\1\0\1\355\12\0\1\356\27\0\1\356\54\0\1\357"+
    "\27\0\1\357\42\0\1\360\27\0\1\360\47\0\1\361"+
    "\27\0\1\361\5\0\1\361\35\0\1\362\27\0\1\362"+
    "\5\0\1\362\31\0\1\363\27\0\1\363\13\0\3\364"+
    "\1\365\3\364\1\366\1\364\1\0\2\364\22\0\1\367"+
    "\2\0\3\364\22\0\1\367\2\0\3\364\30\0\1\370"+
    "\27\0\1\370\24\0\1\371\112\0\1\372\27\0\1\372"+
    "\47\0\1\373\27\0\1\373\5\0\1\373\33\0\1\374"+
    "\27\0\1\374\43\0\1\375\27\0\1\375\42\0\1\376"+
    "\27\0\1\376\42\0\1\377\27\0\1\377\51\0\1\u0100"+
    "\27\0\1\u0100\35\0\1\u0101\27\0\1\u0101\25\0\1\u0102"+
    "\113\0\1\u0103\27\0\1\u0103\45\0\1\u0104\27\0\1\u0104"+
    "\5\0\1\u0104\31\0\1\u0105\27\0\1\u0105\45\0\1\u0106"+
    "\27\0\1\u0106\42\0\1\126\27\0\1\126\14\0\1\330"+
    "\71\0\3\330\1\331\5\330\1\0\2\330\25\0\3\330"+
    "\25\0\3\330\34\0\1\u0107\27\0\1\u0107\5\0\1\u0107"+
    "\31\0\1\u0108\27\0\1\u0108\51\0\1\u0109\27\0\1\u0109"+
    "\35\0\1\u010a\27\0\1\u010a\25\0\1\u010b\112\0\1\u010c"+
    "\27\0\1\u010c\47\0\1\u010d\27\0\1\u010d\40\0\1\u010e"+
    "\27\0\1\u010e\43\0\1\u010f\27\0\1\u010f\46\0\1\u0110"+
    "\27\0\1\u0110\6\0\1\u0111\2\u0112\1\u0113\1\u0111\1\u0114"+
    "\1\u0112\1\u0115\1\u0111\1\0\2\u0111\4\0\1\u0116\3\0"+
    "\1\u0117\11\0\1\u0118\2\0\1\u0119\1\u0111\1\u0112\4\0"+
    "\1\u0116\3\0\1\u0117\11\0\1\u0118\2\0\1\u011a\2\u0111"+
    "\15\0\1\u011b\27\0\1\u011b\60\0\1\u011c\27\0\1\u011c"+
    "\36\0\1\u011d\27\0\1\u011d\15\0\1\u011d\30\0\1\u011e"+
    "\27\0\1\u011e\51\0\1\u011f\27\0\1\u011f\35\0\1\u0120"+
    "\27\0\1\u0120\25\0\1\u0121\113\0\1\u0122\27\0\1\u0122"+
    "\11\0\1\u0123\3\u0124\1\u0123\1\u0125\1\u0123\1\u0124\1\u0123"+
    "\1\0\2\u0123\10\0\1\u0126\2\0\1\u0127\11\0\1\u0128"+
    "\2\u0123\10\0\1\u0126\2\0\1\u0127\11\0\1\u0129\2\u0123"+
    "\35\0\1\u012a\27\0\1\u012a\10\0\1\364\71\0\3\364"+
    "\1\365\5\364\1\0\2\364\25\0\3\364\25\0\3\364"+
    "\15\0\1\u012b\27\0\1\u012b\40\0\1\u012c\72\0\1\371"+
    "\30\0\1\u012d\66\0\1\u012e\27\0\1\u012e\40\0\1\u012f"+
    "\27\0\1\u012f\24\0\1\120\100\0\1\u0130\27\0\1\u0130"+
    "\53\0\1\u0131\27\0\1\u0131\30\0\1\u0132\27\0\1\u0132"+
    "\35\0\1\172\23\0\1\240\27\0\1\240\30\0\1\242"+
    "\27\0\1\242\57\0\1\u0133\27\0\1\u0133\5\0\1\u0133"+
    "\14\0\1\126\112\0\1\u0134\27\0\1\u0134\23\0\1\u0135"+
    "\101\0\1\u0136\27\0\1\u0136\60\0\1\u0137\27\0\1\u0137"+
    "\23\0\1\u0138\27\0\1\u0138\35\0\1\203\23\0\1\253"+
    "\27\0\1\253\30\0\1\256\27\0\1\256\57\0\1\u0139"+
    "\27\0\1\u0139\5\0\1\u0139\34\0\1\u013a\27\0\1\u013a"+
    "\42\0\1\u013b\27\0\1\u013b\51\0\1\u013c\27\0\1\u013c"+
    "\16\0\1\145\111\0\1\145\27\0\1\145\13\0\3\u013d"+
    "\1\0\1\u013e\1\u013d\11\0\1\u0116\15\0\1\u0118\2\0"+
    "\1\u013f\1\0\1\u013d\4\0\1\u0116\15\0\1\u0118\6\0"+
    "\1\u013d\1\u0112\1\u013d\1\0\1\u013e\1\u013d\11\0\1\u0116"+
    "\15\0\1\u0118\2\0\1\u013f\1\0\1\u013d\4\0\1\u0116"+
    "\15\0\1\u0118\35\0\1\u0140\27\0\1\u0140\13\0\1\u0111"+
    "\2\u0112\1\u0113\1\u0111\1\u0114\1\u0112\2\u0111\1\0\2\u0111"+
    "\4\0\1\u0116\15\0\1\u0118\2\0\1\u0119\1\u0111\1\u0112"+
    "\4\0\1\u0116\15\0\1\u0118\2\0\3\u0111\36\0\1\u0141"+
    "\27\0\1\u0141\27\0\1\u0142\27\0\1\u0142\41\0\1\u0143"+
    "\7\0\1\u0144\17\0\1\u0143\7\0\1\u0144\41\0\1\u0145"+
    "\27\0\1\u0145\51\0\1\u0146\27\0\1\u0146\5\0\1\u0146"+
    "\21\0\1\u0147\27\0\1\u0147\53\0\1\u0148\27\0\1\u0148"+
    "\30\0\1\u0149\27\0\1\u0149\35\0\1\221\23\0\1\277"+
    "\27\0\1\277\30\0\1\301\27\0\1\301\57\0\1\u014a"+
    "\27\0\1\u014a\5\0\1\u014a\14\0\1\154\60\0\1\u0123"+
    "\3\u0124\1\u0123\1\u0125\3\u0123\1\0\2\u0123\13\0\1\u0127"+
    "\11\0\1\u0128\2\u0123\13\0\1\u0127\11\0\3\u0123\30\0"+
    "\1\u014b\27\0\1\u014b\35\0\1\u014c\27\0\1\u014c\45\0"+
    "\1\u014d\27\0\1\u014d\14\0\1\u014d\30\0\1\u014e\27\0"+
    "\1\u014e\35\0\1\154\27\0\1\154\40\0\1\u014f\27\0"+
    "\1\u014f\62\0\1\u0150\27\0\1\u0150\5\0\1\u0150\34\0"+
    "\1\u0151\27\0\1\u0151\23\0\1\163\74\0\1\172\3\0"+
    "\1\172\3\0\1\172\4\0\1\172\12\0\1\172\3\0"+
    "\1\172\3\0\1\172\4\0\1\172\7\0\1\172\22\0"+
    "\1\120\27\0\1\120\57\0\1\u0152\27\0\1\u0152\5\0"+
    "\1\u0152\36\0\1\u0153\27\0\1\u0153\21\0\1\130\114\0"+
    "\1\u0154\27\0\1\u0154\5\0\1\u0154\15\0\1\203\3\0"+
    "\1\203\3\0\1\203\4\0\1\203\12\0\1\203\3\0"+
    "\1\203\3\0\1\203\4\0\1\203\7\0\1\203\35\0"+
    "\1\u0155\27\0\1\u0155\44\0\1\u0156\27\0\1\u0156\5\0"+
    "\1\u0156\36\0\1\u0157\27\0\1\u0157\32\0\1\u0158\27\0"+
    "\1\u0158\14\0\1\u0158\42\0\1\u0159\27\0\1\u0159\15\0"+
    "\1\u015a\76\0\1\u015b\27\0\1\u015b\26\0\3\u0111\1\u015c"+
    "\3\u0111\1\u015d\1\u0111\1\0\2\u0111\17\0\1\u015e\5\0"+
    "\3\u0111\17\0\1\u015e\5\0\3\u0111\26\0\1\u015f\27\0"+
    "\1\u015f\15\0\3\u0111\1\u015c\5\u0111\1\0\2\u0111\25\0"+
    "\3\u0111\25\0\3\u0111\7\0\1\u0160\14\0\1\u0161\27\0"+
    "\1\u0161\14\0\1\u0161\27\0\1\u0162\27\0\1\u0162\15\0"+
    "\1\u0162\32\0\1\u0163\27\0\1\u0163\25\0\1\221\3\0"+
    "\1\221\3\0\1\221\4\0\1\221\12\0\1\221\3\0"+
    "\1\221\3\0\1\221\4\0\1\221\7\0\1\221\14\0"+
    "\1\u0164\115\0\1\u0165\27\0\1\u0165\5\0\1\u0165\36\0"+
    "\1\u0166\27\0\1\u0166\23\0\1\u0167\27\0\1\u0167\54\0"+
    "\1\u0168\27\0\1\u0168\45\0\1\u0169\27\0\1\u0169\40\0"+
    "\1\u016a\27\0\1\u016a\15\0\1\u016a\26\0\1\u016b\27\0"+
    "\1\u016b\52\0\1\u016c\27\0\1\u016c\22\0\1\u016d\27\0"+
    "\1\u016d\61\0\1\u016e\27\0\1\u016e\43\0\1\u016f\27\0"+
    "\1\u016f\46\0\1\u0170\27\0\1\u0170\32\0\1\u0171\27\0"+
    "\1\u0171\14\0\1\u0171\34\0\1\u0172\27\0\1\u0172\43\0"+
    "\1\u0173\27\0\1\u0173\42\0\1\47\27\0\1\47\24\0"+
    "\1\u0174\112\0\1\u0175\27\0\1\u0175\46\0\1\u0176\27\0"+
    "\1\u0176\5\0\1\u0176\3\0\1\u0111\100\0\1\u0143\21\0"+
    "\1\u0177\27\0\1\u0177\36\0\1\u0178\27\0\1\u0178\14\0"+
    "\1\u0178\3\0\3\u0160\1\0\1\u0179\12\0\1\u017a\27\0"+
    "\1\u017a\54\0\1\u017b\27\0\1\u017b\42\0\1\u017c\27\0"+
    "\1\u017c\26\0\1\347\114\0\1\u017d\27\0\1\u017d\5\0"+
    "\1\u017d\33\0\1\u017e\27\0\1\u017e\43\0\1\u017f\27\0"+
    "\1\u017f\45\0\1\u0180\27\0\1\u0180\5\0\1\u0180\25\0"+
    "\1\u0181\27\0\1\u0181\14\0\1\u0181\2\0\3\u0123\1\u0182"+
    "\3\u0123\1\u0183\1\u0123\1\0\2\u0123\10\0\1\u0184\14\0"+
    "\3\u0123\10\0\1\u0184\14\0\1\u0185\2\u0123\30\0\1\u0186"+
    "\27\0\1\u0186\37\0\1\u0187\27\0\1\u0187\14\0\1\u0187"+
    "\34\0\1\u0188\27\0\1\u0188\37\0\1\u0189\27\0\1\u0189"+
    "\30\0\1\242\120\0\1\u018a\27\0\1\u018a\35\0\1\u018b"+
    "\27\0\1\u018b\24\0\1\256\120\0\1\u018c\27\0\1\u018c"+
    "\34\0\1\u018d\27\0\1\u018d\33\0\1\u018e\27\0\1\u018e"+
    "\54\0\1\u018f\27\0\1\u018f\43\0\1\u0190\27\0\1\u0190"+
    "\42\0\1\u0191\27\0\1\u0191\42\0\1\u0192\27\0\1\u0192"+
    "\51\0\1\u0193\27\0\1\u0193\35\0\1\u0194\27\0\1\u0194"+
    "\25\0\1\u0195\116\0\1\u0196\27\0\1\u0196\21\0\1\301"+
    "\120\0\1\u0197\27\0\1\u0197\35\0\1\u0198\27\0\1\u0198"+
    "\42\0\1\u0199\27\0\1\u0199\14\0\1\u0123\71\0\3\u0123"+
    "\1\u0182\5\u0123\1\0\2\u0123\25\0\3\u0123\25\0\3\u0123"+
    "\34\0\1\u019a\27\0\1\u019a\5\0\1\u019a\13\0\1\u019b"+
    "\77\0\1\u019c\27\0\1\u019c\65\0\1\u019d\27\0\1\u019d"+
    "\23\0\1\u019e\27\0\1\u019e\35\0\1\u019f\121\0\1\u01a0"+
    "\27\0\1\u01a0\15\0\1\u01a1\102\0\1\u01a2\27\0\1\u01a2"+
    "\34\0\1\u01a3\74\0\1\u013d\100\0\1\u01a4\27\0\1\u01a4"+
    "\40\0\1\u01a5\27\0\1\u01a5\35\0\1\u0143\23\0\1\u015e"+
    "\27\0\1\u015e\30\0\1\u0160\27\0\1\u0160\57\0\1\u01a6"+
    "\27\0\1\u01a6\5\0\1\u01a6\33\0\1\u01a7\27\0\1\u01a7"+
    "\23\0\1\u01a8\74\0\1\u0199\115\0\1\u01a9\27\0\1\u01a9"+
    "\42\0\1\u01aa\27\0\1\u01aa\5\0\1\u01aa\15\0\1\u01ab"+
    "\27\0\1\u01ab\41\0\1\u01ac\62\0\3\u01ad\1\0\1\u01ae"+
    "\66\0\2\u019f\3\0\5\u019f\1\u01af\26\u019f\2\0\31\u019f"+
    "\12\0\1\u01b0\61\0\2\u01b0\3\0\5\u01b0\1\u01b1\16\u01b0"+
    "\1\u01b2\7\u01b0\2\0\16\u01b0\1\u01b2\12\u01b0\12\0\1\u01b3"+
    "\72\0\1\u01b4\76\0\1\u0143\3\0\1\u0143\3\0\1\u0143"+
    "\4\0\1\u0143\12\0\1\u0143\3\0\1\u0143\3\0\1\u0143"+
    "\4\0\1\u0143\7\0\1\u0143\36\0\1\u01b5\27\0\1\u01b5"+
    "\5\0\1\u01b5\36\0\1\u01b6\27\0\1\u01b6\46\0\1\u01b7"+
    "\27\0\1\u01b7\3\0\2\u01a8\3\0\5\u01a8\1\u01b8\26\u01a8"+
    "\2\0\31\u01a8\33\0\1\u01b9\27\0\1\u01b9\45\0\1\u01ba"+
    "\27\0\1\u01ba\37\0\1\u01bb\27\0\1\u01bb\13\0\3\u01ad"+
    "\1\0\1\u01ae\12\0\1\u01bc\27\0\1\u01bc\53\0\1\u01bd"+
    "\27\0\1\u01bd\24\0\1\u01be\62\0\2\u01b0\3\0\5\u01b0"+
    "\1\u01b1\26\u01b0\2\0\31\u01b0\11\0\1\u01bf\62\0\2\u01b0"+
    "\3\0\5\u01b0\1\u01b1\6\u01b0\1\u01c0\17\u01b0\2\0\6\u01b0"+
    "\1\u01c0\22\u01b0\11\0\1\u01c1\73\0\1\u01b4\30\0\1\u01c2"+
    "\63\0\1\u01c3\27\0\1\u01c3\43\0\1\u01c4\27\0\1\u01c4"+
    "\23\0\1\u01c5\72\0\1\u01c6\106\0\1\u01c7\27\0\1\u01c7"+
    "\14\0\1\u01c7\34\0\1\u01c8\27\0\1\u01c8\32\0\1\u01c9"+
    "\27\0\1\u01c9\60\0\1\u01ca\27\0\1\u01ca\22\0\1\u01cb"+
    "\27\0\1\u01cb\37\0\1\u01be\30\0\1\u01cc\42\0\1\u01bf"+
    "\30\0\1\u01cd\31\0\2\u01b0\3\0\5\u01b0\1\u01ce\26\u01b0"+
    "\2\0\31\u01b0\11\0\1\u01c1\30\0\1\u01cf\31\0\41\u01d0"+
    "\1\0\32\u01d0\13\0\1\u0160\120\0\1\u01d1\27\0\1\u01d1"+
    "\3\0\2\u01c5\3\0\5\u01c5\1\u01d2\26\u01c5\2\0\31\u01c5"+
    "\11\0\1\u01c6\30\0\1\u01d3\71\0\1\u01d4\27\0\1\u01d4"+
    "\15\0\1\u01d5\114\0\1\u01d6\27\0\1\u01d6\44\0\1\u01d7"+
    "\27\0\1\u01d7\5\0\1\u01d7\1\0\41\u01d8\1\0\32\u01d8"+
    "\41\u01d9\1\0\32\u01d9\11\0\1\u01da\62\0\41\u01db\1\0"+
    "\32\u01db\41\u01d0\1\u01dc\32\u01d0\12\0\1\u01dd\72\0\1\u01de"+
    "\62\0\41\u01df\1\0\32\u01df\12\0\1\u01e0\72\0\1\u01e1"+
    "\113\0\1\u01e2\27\0\1\u01e2\44\0\1\u01e3\27\0\1\u01e3"+
    "\11\0\41\u01d8\1\u01e4\32\u01d8\41\u01d9\1\u01e5\32\u01d9\11\0"+
    "\1\u01da\30\0\1\u01e6\31\0\41\u01db\1\u01e7\32\u01db\10\0"+
    "\1\u01e8\63\0\2\u01dd\3\0\5\u01dd\1\u01e9\26\u01dd\2\0"+
    "\31\u01dd\11\0\1\u01de\30\0\1\u01ea\31\0\41\u01df\1\u01eb"+
    "\32\u01df\31\0\1\u01ec\27\0\1\u01ec\23\0\1\u01e1\30\0"+
    "\1\u01ed\63\0\1\u01ee\27\0\1\u01ee\24\0\1\u01ad\70\0"+
    "\1\u01ef\73\0\1\u01f0\63\0\41\u01f1\1\0\32\u01f1\10\0"+
    "\1\u01f2\111\0\1\u01f3\27\0\1\u01f3\26\0\1\u01f4\62\0"+
    "\41\u01f5\1\0\32\u01f5\10\0\1\u01f6\104\0\1\u01f7\27\0"+
    "\1\u01f7\22\0\41\u01f8\1\0\32\u01f8\20\0\1\u01f9\27\0"+
    "\1\u01f9\51\0\1\u01fa\27\0\1\u01fa\43\0\1\u01fb\27\0"+
    "\1\u01fb\15\0\41\u01f1\1\u01fc\32\u01f1\26\0\1\u01fd\27\0"+
    "\1\u01fd\42\0\1\u01fe\27\0\1\u01fe\15\0\1\u01fe\11\0"+
    "\1\u01f4\30\0\1\u01ff\31\0\41\u01f5\1\u0200\32\u01f5\26\0"+
    "\1\u0201\27\0\1\u0201\27\0\1\u0202\61\0\41\u01f8\1\u0203"+
    "\32\u01f8\14\0\1\41\27\0\1\41\54\0\1\u0204\27\0"+
    "\1\u0204\15\0\1\u0204\25\0\1\u0205\27\0\1\u0205\15\0"+
    "\1\u0205\10\0\1\u0206\110\0\1\u0207\27\0\1\u0207\15\0"+
    "\1\u0207\30\0\1\u0208\27\0\1\u0208\13\0\41\u0209\1\0"+
    "\32\u0209\10\0\1\u020a\110\0\1\u020b\27\0\1\u020b\15\0"+
    "\1\u020b\11\0\1\u020c\72\0\1\u020d\113\0\1\u020e\27\0"+
    "\1\u020e\43\0\1\u020f\27\0\1\u020f\41\0\1\u0210\27\0"+
    "\1\u0210\45\0\1\u0211\27\0\1\u0211\55\0\1\u0212\31\0"+
    "\41\u0209\1\u0213\32\u0209\26\0\1\u0214\27\0\1\u0214\45\0"+
    "\1\u0215\27\0\1\u0215\24\0\1\u020c\30\0\1\u0216\57\0"+
    "\1\u0217\27\0\1\u0217\57\0\1\120\73\0\1\130\56\0"+
    "\1\u0218\27\0\1\u0218\15\0\1\u0218\42\0\1\u0219\32\0"+
    "\3\u0212\1\0\1\u021a\14\0\1\26\11\0\1\31\15\0"+
    "\1\26\11\0\1\31\5\0\1\31\11\0\1\u021b\110\0"+
    "\1\u021c\27\0\1\u021c\15\0\1\u021c\42\0\1\145\31\0"+
    "\41\u021d\1\0\32\u021d\25\0\1\u021e\27\0\1\u021e\15\0"+
    "\1\u021e\30\0\1\u021f\27\0\1\u021f\14\0\3\u0219\1\0"+
    "\1\u0220\14\0\1\51\11\0\1\53\15\0\1\51\11\0"+
    "\1\53\5\0\1\53\31\0\1\u0221\27\0\1\u0221\41\0"+
    "\1\u0222\27\0\1\u0222\45\0\1\u0223\27\0\1\u0223\13\0"+
    "\41\u021d\1\u0224\32\u021d\30\0\1\u0225\27\0\1\u0225\55\0"+
    "\1\u0226\61\0\1\u0227\27\0\1\u0227\30\0\1\u0228\27\0"+
    "\1\u0228\53\0\1\u0229\27\0\1\u0229\15\0\1\u0229\42\0"+
    "\1\347\41\0\1\u022a\125\0\1\u022b\32\0\3\u0226\1\0"+
    "\1\u022c\1\130\11\0\1\131\6\0\1\133\6\0\1\134"+
    "\2\0\1\177\1\0\1\130\4\0\1\131\6\0\1\133"+
    "\6\0\1\134\22\0\1\u022d\27\0\1\u022d\62\0\1\u022e"+
    "\27\0\1\u022e\5\0\1\u022e\31\0\1\u022f\27\0\1\u022f"+
    "\41\0\1\u0230\27\0\1\u0230\16\0\3\u022b\1\0\1\u0231"+
    "\10\0\1\156\14\0\1\160\12\0\1\156\14\0\1\160"+
    "\40\0\1\u0232\27\0\1\u0232\47\0\1\u0233\27\0\1\u0233"+
    "\5\0\1\u0233\33\0\1\u0234\27\0\1\u0234\53\0\1\u013d"+
    "\56\0\1\u0235\27\0\1\u0235\15\0\1\u0235\30\0\1\u0236"+
    "\27\0\1\u0236\30\0\1\u0237\27\0\1\u0237\60\0\1\u0238"+
    "\27\0\1\u0238\24\0\1\u0212\110\0\1\u0239\27\0\1\u0239"+
    "\30\0\1\u023a\27\0\1\u023a\62\0\1\u023b\27\0\1\u023b"+
    "\5\0\1\u023b\14\0\1\u0219\122\0\1\u023c\65\0\1\u023d"+
    "\27\0\1\u023d\5\0\1\u023d\33\0\1\u023e\27\0\1\u023e"+
    "\12\0\3\u023c\1\0\1\u023f\21\0\1\u0127\27\0\1\u0127"+
    "\46\0\1\u0240\27\0\1\u0240\24\0\1\u0226\110\0\1\u0241"+
    "\27\0\1\u0241\26\0\1\u022b\75\0\1\u0242\27\0\1\u0242"+
    "\62\0\1\u0243\27\0\1\u0243\5\0\1\u0243\33\0\1\u0244"+
    "\27\0\1\u0244\24\0\1\u023c\60\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[32700];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\2\0\2\1\1\11\1\1\1\11\1\1\44\0\1\11"+
    "\2\1\10\0\1\11\1\1\7\0\1\11\2\1\7\0"+
    "\1\11\121\0\1\11\2\1\10\0\1\11\2\1\17\0"+
    "\1\11\4\1\1\0\1\1\27\0\1\11\2\1\1\0"+
    "\1\1\27\0\1\11\2\1\32\0\1\11\4\1\3\0"+
    "\2\1\10\0\1\11\2\1\2\0\2\1\3\0\1\11"+
    "\56\0\2\1\44\0\2\1\1\0\1\1\277\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[580];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S044_LegislationAuthorities() { }
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S044_LegislationAuthorities(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 15: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 16: break;
          case 3:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "CAPO_GOV", true, true);
            }
          // fall through
          case 17: break;
          case 4:
            { annotate(new AnnotationEntity(Entity.EU_LEG_AUTH), "BCE", true, true);
            }
          // fall through
          case 18: break;
          case 5:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "CAPO_PROVV_STATO", true, true);
            }
          // fall through
          case 19: break;
          case 6:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 20: break;
          case 7:
            { annotate(new AnnotationEntity(Entity.EU_LEG_AUTH), "COMM_UE", true, true);
            }
          // fall through
          case 21: break;
          case 8:
            { annotate(new AnnotationEntity(Entity.EU_LEG_AUTH), "CONS_UE", true, true);
            }
          // fall through
          case 22: break;
          case 9:
            { annotate(new AnnotationEntity(Entity.EU_LEG_AUTH), "PARL_UE", true, true);
            }
          // fall through
          case 23: break;
          case 10:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "CONS_MIN", true, true);
            }
          // fall through
          case 24: break;
          case 11:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "PRES_REP", true, true);
            }
          // fall through
          case 25: break;
          case 12:
            { annotate(new AnnotationEntity(Entity.EU_LEG_AUTH), "PARL_CONS_UE", true, true);
            }
          // fall through
          case 26: break;
          case 13:
            { annotate(new AnnotationEntity(Entity.LEG_AUTH), "PRES_CONS_MIN", true, true);
            }
          // fall through
          case 27: break;
          case 14:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 28: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S044_LegislationAuthorities [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S044_LegislationAuthorities scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S044_LegislationAuthorities(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
